Printago API
GET
/v1/sku-variants/prop-values/{id}
Get a specific property value by ID
Path Parameters
id
required
string
- Property value identifier
Response Schema
SkuOptionPropertyValue
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
materialValueoptionalnullable
object[]
optionValueIdrequired
string
pattern: ^[a-z0-9]{24}$
optionValueId2optionalnullable
string
pattern: ^[a-z0-9]{24}$
optionValueId3optionalnullable
string
pattern: ^[a-z0-9]{24}$
plateQuantitiesValueoptionalnullable
Record<string, number>
Construct a type with a set of properties K of type T
propertyIdrequired
string
pattern: ^[a-z0-9]{24}$
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
textValueoptionalnullable
string
updatedAtrequired
string
format: date-time
Example Response
200 OK — application/json
{
"propertyId": "string",
"optionValueId": "string",
"optionValueId2": "string",
"optionValueId3": "string",
"textValue": "string",
"materialValue": [
{
"groupId": "string"
}
],
"plateQuantitiesValue": {},
"id": "string",
"storeId": "string",
"createdAt": "2025-01-15T12:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}